当前位置 主页 > 服务器问题 > nginx问题汇总 > 最大化 缩小

    Ubuntu系统下的Nginx服务器软件安装时的常见错误解决

    栏目:nginx问题汇总 时间:2018-11-13 16:27

    这篇文章主要介绍了Ubuntu系统下的Nginx服务器软件安装时的常见问题解决,包括彻底卸载Nginx的方法介绍,需要的朋友可以参考下

    Nginx安装问题

    下载nginx,地址:http://nginx.org/en/download.html

    解压安装,这个不解释

    问题出现1:

    ./configure: error: the HTTP rewrite module requires the PCRE library.You can either disable the module by using --without-http_rewrite_moduleoption, or install the PCRE library into the system, or build the PCRE librarystatically from the source with nginx by using --with-pcre=<path> option.

    解决1:

    sudo apt-get install libpcre3 libpcre3-dev

    问题出现2:

    ./configure: error: the HTTP gzip module requires the zlib library.You can either disable the module by using --without-http_gzip_moduleoption, or install the zlib library into the system, or build the zlib librarystatically from the source with nginx by using --with-zlib=<path> option.

    解决2:

    下载zlib库,地址:http://www.zlib.net/

    直接解压安装

    which zlib

    查看一下,有可能还需要安装:

    sudo apt-get install openssl libssl-dev

    执行configure操作:

    ./configure –prefix=/usr/local/nginx –pid-path=/var/run/nginx.pid--with-http_stub_status_module –with-http_ssl_modulemakemake install

    启动:

    /usr/local/nginx/sbin/nginx

    测试:

    curl -i http://localhost


    干净卸载nginx

    命令:

    sudo apt-get --purge autoremove nginx

    命令:

    which nginx

    如果没有提示,证明卸载成功,嘿嘿~